Debian Bug report logs - #698556
Please override isdnutils maintainer's decision to not fix the broken isdnutils package in wheezy

Package: tech-ctte; Maintainer for tech-ctte is Technical Committee <debian-ctte@lists.debian.org>;

Reported by: Sven Hartge <sven@svenhartge.de>

Date: Wed, 12 Jan 2011 01:15:01 UTC

Severity: important

Done: Don Armstrong <don@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Rolf Leggewie <foss@rolf.leggewie.biz>:
Bug#609736; Package isdnutils-base. (Wed, 12 Jan 2011 01:15:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sven Hartge <sven@svenhartge.de>:
New Bug report received and forwarded. Copy sent to Rolf Leggewie <foss@rolf.leggewie.biz>. (Wed, 12 Jan 2011 01:15:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Sven Hartge <sven@svenhartge.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: please readd MAKEDEV calls to init.d.functions
Date: Wed, 12 Jan 2011 01:50:23 +0100
Package: isdnutils-base
Version: 1:3.9.20060704+dfsg.2-8
Severity: normal

Hi ISDN maintainers.

In upload 1:3.9.20060704+dfsg.2-8 you removed the MAKEDEV call from
init.d.functions but this causes isdnlog and vboxgetty to fail for me,
complaining about missing /dev/isdnctrl0 and /dev/ttyI1.

Unfortunately "modprobe hisax isdn" does _not_ create the necessary
isdnctrl0 and ttyI* nodes in /dev so the MAKEDEV call is still necessary.
(Very crude, I know, but it seems the kernel code does not create the
needed events for udev.)

The missing MAKEDEV, cause for 607387 can be resolved by adding a dependency
on "makedev". This should create to harm since both isdnutils-base and
makedev are Priority: extra.

Additionally the following code should IMHO be changed to use "-sf" to not
fail if the link already exists:

91             if [ ! -e /dev/isdnctrl ]; then
92                 cd /dev && ln -sf isdnctrl0 isdnctrl
93             fi

Grüße,
Sven.

-- System Information:
Debian Release: 6.0
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing'), (200, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 2.6.32-5-686 (SMP w/1 CPU core)
Locale: LANG=de_DE.utf8, LC_CTYPE=de_DE.utf8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages isdnutils-base depends on:
ii  debconf [debconf-2.0]     1.5.37         Debian configuration management sy
ii  libc6                     2.11.2-7       Embedded GNU C Library: Shared lib
ii  libncurses5               5.7+20100313-5 shared libraries for terminal hand
ii  lsb-base                  3.2-26         Linux Standard Base 3.2 init scrip

isdnutils-base recommends no packages.

Versions of packages isdnutils-base suggests:
pn  ipppd            <none>                  (no description available)
ii  isdnlog          1:3.9.20060704+dfsg.2-8 ISDN utilities - connection logger
pn  isdnutils-doc    <none>                  (no description available)
pn  isdnutils-xtools <none>                  (no description available)
ii  isdnvboxclient   1:3.9.20060704+dfsg.2-8 ISDN utilities - answering machine
ii  isdnvboxserver   1:3.9.20060704+dfsg.2-8 ISDN utilities - answering machine

-- Configuration Files:
/etc/isdn/init.d.functions changed [not included]

-- debconf-show failed




Information forwarded to debian-bugs-dist@lists.debian.org, Rolf Leggewie <foss@rolf.leggewie.biz>:
Bug#609736; Package isdnutils-base. (Wed, 12 Jan 2011 07:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Rolf Leggewie <debian-bugs@rolf.leggewie.biz>:
Extra info received and forwarded to list. Copy sent to Rolf Leggewie <foss@rolf.leggewie.biz>. (Wed, 12 Jan 2011 07:48:03 GMT) Full text and rfc822 format available.

Message #10 received at 609736@bugs.debian.org (full text, mbox):

From: Rolf Leggewie <debian-bugs@rolf.leggewie.biz>
To: Sven Hartge <sven@svenhartge.de>, 609736@bugs.debian.org
Cc: Jan-Michael Brummer <jan.brummer@tabos.org>
Subject: Re: Bug#609736: please readd MAKEDEV calls to init.d.functions
Date: Wed, 12 Jan 2011 15:45:15 +0800
[Message part 1 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Rolf Leggewie <foss@rolf.leggewie.biz>:
Bug#609736; Package isdnutils-base. (Wed, 12 Jan 2011 15:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Rolf Leggewie <debian-bugs@rolf.leggewie.biz>:
Extra info received and forwarded to list. Copy sent to Rolf Leggewie <foss@rolf.leggewie.biz>. (Wed, 12 Jan 2011 15:27:03 GMT) Full text and rfc822 format available.

Message #15 received at 609736@bugs.debian.org (full text, mbox):

From: Rolf Leggewie <debian-bugs@rolf.leggewie.biz>
To: Sven Hartge <sven@svenhartge.de>, 609736@bugs.debian.org
Cc: Jan-Michael Brummer <jan.brummer@tabos.org>
Subject: Re: Bug#609736: please readd MAKEDEV calls to init.d.functions
Date: Wed, 12 Jan 2011 23:22:26 +0800
[Message part 1 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Rolf Leggewie <foss@rolf.leggewie.biz>:
Bug#609736; Package isdnutils-base. (Wed, 12 Jan 2011 16:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sven Hartge <sven@svenhartge.de>:
Extra info received and forwarded to list. Copy sent to Rolf Leggewie <foss@rolf.leggewie.biz>. (Wed, 12 Jan 2011 16:36:03 GMT) Full text and rfc822 format available.

Message #20 received at 609736@bugs.debian.org (full text, mbox):

From: Sven Hartge <sven@svenhartge.de>
To: Rolf Leggewie <debian-bugs@rolf.leggewie.biz>
Cc: 609736@bugs.debian.org, Jan-Michael Brummer <jan.brummer@tabos.org>
Subject: Re: Bug#609736: please readd MAKEDEV calls to init.d.functions
Date: Wed, 12 Jan 2011 17:11:11 +0100
On 12.01.2011 16:22, Rolf Leggewie wrote:
> Hallo Sven,
> 
> On 12.01.2011 08:50, Sven Hartge wrote:
>> In upload 1:3.9.20060704+dfsg.2-8 you removed the MAKEDEV call from
>> init.d.functions but this causes isdnlog and vboxgetty to fail for me,
>> complaining about missing /dev/isdnctrl0 and /dev/ttyI1.
> 
> The calls were obviously removed on purpose, I'm sure you were aware of
> that.  We as isdnutils maintainers feel that it's the kernel's job and
> specifically the drivers' jobs to create the device nodes.  Please
> report a new ticket against the isdn4linux part of the kernel.  It would
> be cool if you let me know the ticket number so that I can follow it.

I know, the kernel (and udev) should create them, unfortunately i4l is
deprecated and was never ported to use sysfs, so udev does not create
any devices.

And from the (sad) state of ISDN in the kernel I am guessing, nobody
will port the code to sysfs. I even found discussions with Karsten Keil
concerning this matter on the i4l-list as back as the days of Linux
2.6.6 in 2004 (!!).

Have look at the following thread:
http://osdir.com/ml/linux.isdn.i4l.user/2004-05/msg00011.html

Quote:

| - what is the best way to get these device nodes?
create it in the ISDN start script with mknod

(Answer from Karsten Keil)

The kernel maintainers even removed i4l for a short period of time (see
bug#588551) and I am afraid to submit a bug concerning this issue,
because this might cause another removal from the kernel in Debian.

(Note: you might want to document the fact one has to blacklist the
mISDN drivers like hfcpci you want to use hisax, since the mISDN ones
get automatically loaded and the i4l ones don't.)

> I will leave this ticket open to document the necessary steps the users
> have to take.  Depending on the kernel team's reaction I may also
> consider other options to make sure things are working as expected. 
> Overall, we feel that this is not really an isdnutils issue, though, but
> should be dealt with elsewhere.

Question is: where?

As is, the packages don't work, since the needed devices are missing and
nobody creates them.

>> Additionally the following code should IMHO be changed to use "-sf" to not
>> fail if the link already exists:
>>
>> 91             if [ ! -e /dev/isdnctrl ]; then
>> 92                 cd /dev && ln -sf isdnctrl0 isdnctrl
>> 93             fi
> 
> Thank you for this suggestion.  But I don't quite understand the need to
> force the creation.  That's what the if-part is for, isn't it?

During the state of my system without any ISDN device nodes, the start
script for isdnlog etc. complained about an already existing symlink.

This is because -e dereferences the symlink and if the target is not
available, it will fail. So the correct solution here is not to use "ln
-sf" but to use "[ -L /dev/isdnctl ]" to check for the existance of the
symlink.

> 
> PS: I hope this one goes out as plaintext and not HTML.  TB is getting
> too smart for its own good lately.

Was in HTML.

Grüße,
Sven.




Information forwarded to debian-bugs-dist@lists.debian.org, Rolf Leggewie <foss@rolf.leggewie.biz>:
Bug#609736; Package isdnutils-base. (Thu, 13 Jan 2011 06:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Rolf Leggewie <debian-bugs@rolf.leggewie.biz>:
Extra info received and forwarded to list. Copy sent to Rolf Leggewie <foss@rolf.leggewie.biz>. (Thu, 13 Jan 2011 06:09:03 GMT) Full text and rfc822 format available.

Message #25 received at 609736@bugs.debian.org (full text, mbox):

From: Rolf Leggewie <debian-bugs@rolf.leggewie.biz>
To: Sven Hartge <sven@svenhartge.de>
Cc: 609736@bugs.debian.org, Jan-Michael Brummer <jan.brummer@tabos.org>
Subject: Re: Bug#609736: please readd MAKEDEV calls to init.d.functions
Date: Thu, 13 Jan 2011 14:05:28 +0800
Hallo Sven,

Jan-Michael and I are discussing the options to properly create the
devices.  We both feel it's better to try to fix the issue in udev or
the kernel.  Jan-Michael may be able to put forth a bit of effort to
that end to help the maintainers of those packages.

On 13.01.2011 00:11, Sven Hartge wrote:
> (Note: you might want to document the fact one has to blacklist the
> mISDN drivers like hfcpci you want to use hisax, since the mISDN ones
> get automatically loaded and the i4l ones don't.)

Will have a look.  I'm still learning all the i4l voodoo.  You may want
to open a separate ticket on this to make sure it won't be forgotten.

> As is, the packages don't work, since the needed devices are missing and
> nobody creates them.

ACK.  Eventually this will have to be dealt with somewhere.  My hope is
we can get rid of hacks as much as possible to get isdnutils into a
maintainable state.

>>> Additionally the following code should IMHO be changed to use "-sf" to not
>>> fail if the link already exists:
>>>
>>> 91             if [ ! -e /dev/isdnctrl ]; then
>>> 92                 cd /dev && ln -sf isdnctrl0 isdnctrl
>>> 93             fi
>>
>> Thank you for this suggestion.  But I don't quite understand the need to
>> force the creation.  That's what the if-part is for, isn't it?
> 
> During the state of my system without any ISDN device nodes, the start
> script for isdnlog etc. complained about an already existing symlink.
> 
> This is because -e dereferences the symlink and if the target is not
> available, it will fail. So the correct solution here is not to use "ln
> -sf" but to use "[ -L /dev/isdnctl ]" to check for the existance of the
> symlink.

Well, -L is not the solution.  It would break when the file exists but
is not a symbolic link.  I've come to the conclusion that quite
surprisingly, your original suggestion is likely the way to go.  This is
due to the dereferencing you mentioned.  Essentially, there's three
possible states.

 a) file does not exist -> create
 b) file exists and points to valid target -> do nothing
 c) file exists but is a dangling symlink -> overwrite

I will update the package that is waiting for sponsorship.

Regards

Rolf




Severity set to 'important' from 'normal' Request was from Rolf Leggewie <debian-bugs@rolf.leggewie.biz> to control@bugs.debian.org. (Sat, 16 Jul 2011 18:15:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Rolf Leggewie <foss@rolf.leggewie.biz>:
Bug#609736; Package isdnutils-base. (Thu, 12 Jan 2012 11:15:49 GMT) Full text and rfc822 format available.

Acknowledgement sent to Giorgio Volpe <giorgio@movi.fvg.it>:
Extra info received and forwarded to list. Copy sent to Rolf Leggewie <foss@rolf.leggewie.biz>. (Thu, 12 Jan 2012 11:15:51 GMT) Full text and rfc822 format available.

Message #32 received at 609736@bugs.debian.org (full text, mbox):

From: Giorgio Volpe <giorgio@movi.fvg.it>
To: 609736@bugs.debian.org
Subject: isdn-utils doesn't work anymore
Date: Thu, 12 Jan 2012 11:35:52 +0100
I recently update isdnutils-base from 1:3.9.20060704+dfsg.2-4 to 
1:3.9.20060704+dfsg.2-12 and isdnutils doesn’t work ... device not created.

I tried to temporary use the old /etc/isdn/init.d.functions but it 
doesn’t work!

First problem, @ line 86, the test over "/dev/.udev" files always ... 
also udev updated and chanced?
(i't was many time i didn't update my system so may be many other things 
are changed!)

I've tried to comment out the line:

#elif [ -d /dev/.udev/ ]; then
else

Now devices are created but I get "/dev/isdnctrl: No such device" (comes 
from a "hisaxctrl - 1 4" @line 165 )

Is'it right that the problem may be in the driver? (I've controlled to 
have the same modules I had before the update).

From syslog my usb TA is detected and device create so:

Jan 12 08:39:47 movi kernel: [ 25.759533] HFC-S_USB driver Rev. 
Revision: 0.3.3 (socket), 2008-11-05 debug(0x0) poll(128)
Jan 12 08:39:47 movi kernel: [ 25.759572] hfcsusb_probe: interface(0) 
actalt(0) minor(-1) vend_idx(2)
Jan 12 08:39:47 movi kernel: [ 25.759584] HFC-S_USB: probe of 2-3:1.0 
failed with error -5
Jan 12 08:39:47 movi kernel: [ 25.759596] hfcsusb_probe: interface(1) 
actalt(0) minor(-1) vend_idx(2)
Jan 12 08:39:47 movi kernel: [ 25.759614] HFC-S_USB: hfcsusb_probe: 
detected "Billion tiny USB ISDN TA 128" (4 Isochron IN + 3 Isochron OUT, 
if=1 alt=1)
Jan 12 08:39:47 movi kernel: [ 25.765163] HFC-S_USB: registered as 
'HFC-S_USB.1'
Jan 12 08:39:47 movi kernel: [ 25.765517] usbcore: registered new 
interface driver HFC-S_USB

Any hint will be really appreciated!

Giorgio




Reply sent to Rolf Leggewie <debian-bugs@rolf.leggewie.biz>:
You have taken responsibility. (Fri, 13 Jan 2012 03:06:04 GMT) Full text and rfc822 format available.

Notification sent to Sven Hartge <sven@svenhartge.de>:
Bug acknowledged by developer. (Fri, 13 Jan 2012 03:06:04 GMT) Full text and rfc822 format available.

Message #37 received at 609736-done@bugs.debian.org (full text, mbox):

From: Rolf Leggewie <debian-bugs@rolf.leggewie.biz>
To: Giorgio Volpe <giorgio@movi.fvg.it>, 609736-done@bugs.debian.org
Subject: Re: Bug#609736: isdn-utils doesn't work anymore
Date: Fri, 13 Jan 2012 11:02:30 +0800
Hello Giorgio,

thank you for your report.

On 12.01.2012 18:35, Giorgio Volpe wrote:
> I recently update isdnutils-base from 1:3.9.20060704+dfsg.2-4 to 
> 1:3.9.20060704+dfsg.2-12 and isdnutils doesn’t work

I believe the problems you were seeing were fixed in the upload I made a
few hours before you filed this ticket.  Please retry with that version
once it is available to you.

Regards

Rolf




Did not alter fixed versions and reopened. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 13 Jan 2012 03:33:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Rolf Leggewie <foss@rolf.leggewie.biz>:
Bug#609736; Package isdnutils-base. (Mon, 30 Jan 2012 09:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Giorgio Volpe <giorgio@movi.fvg.it>:
Extra info received and forwarded to list. Copy sent to Rolf Leggewie <foss@rolf.leggewie.biz>. (Mon, 30 Jan 2012 09:12:04 GMT) Full text and rfc822 format available.

Message #44 received at 609736@bugs.debian.org (full text, mbox):

From: Giorgio Volpe <giorgio@movi.fvg.it>
To: 609736@bugs.debian.org
Subject: Re: Bug#609736: isdn-utils doesn't work anymore
Date: Mon, 30 Jan 2012 10:08:24 +0100
[Message part 1 (text/plain, inline)]
Il 13/01/2012 04:02, Rolf Leggewie ha scritto:
> Hello Giorgio,
>
> thank you for your report.
>
> On 12.01.2012 18:35, Giorgio Volpe wrote:
>    
>> I recently update isdnutils-base from 1:3.9.20060704+dfsg.2-4 to
>> 1:3.9.20060704+dfsg.2-12 and isdnutils doesn’t work
>>      
> I believe the problems you were seeing were fixed in the upload I made a
> few hours before you filed this ticket.  Please retry with that version
> once it is available to you.
>
> Regards
>
> Rolf
>    

Today I upgraded

[AGGIORNATO] isdnlog 1:3.9.20060704+dfsg.2-12 -> 1:3.9.20060704+dfsg.3-3
[AGGIORNATO] isdnlog-data 1:3.9.20060704+dfsg.2-12 -> 
1:3.9.20060704+dfsg.3-3
[AGGIORNATO] isdnutils-base 1:3.9.20060704+dfsg.2-12 -> 
1:3.9.20060704+dfsg.3-3
[AGGIORNATO] isdnutils-doc 1:3.9.20060704+dfsg.2-12 -> 
1:3.9.20060704+dfsg.3-3
[AGGIORNATO] isdnutils-xtools 1:3.9.20060704+dfsg.2-12 -> 
1:3.9.20060704+dfsg.3-
3
[AGGIORNATO] isdnvbox 1:3.9.20060704+dfsg.2-12 -> 1:3.9.20060704+dfsg.3-3
[AGGIORNATO] isdnvboxclient 1:3.9.20060704+dfsg.2-12 -> 
1:3.9.20060704+dfsg.3-3
[AGGIORNATO] isdnvboxserver 1:3.9.20060704+dfsg.2-12 -> 
1:3.9.20060704+dfsg.3-3


The problem is still there! :-(

Now devices are created but I always get "/dev/isdnctrl: No such device"
I think it comes from a "hisaxctrl - 1 4" in init.d.functions

Can you help me to control which modulese should I have installed for a 
USB TA?
I'have this in syslog when I connect it
Jan 30 10:01:53 movi kernel: [1521202.316016] usb 2-3: new full speed 
USB device using ohci_hcd and address 4
Jan 30 10:01:53 movi kernel: [1521202.564807] usb 2-3: New USB device 
found, idVendor=07b0, idProduct=0007
Jan 30 10:01:53 movi kernel: [1521202.564838] usb 2-3: New USB device 
strings: Mfr=1, Product=1, SerialNumber=1
Jan 30 10:01:53 movi kernel: [1521202.564874] usb 2-3: Product: ISDN USB TA
Jan 30 10:01:53 movi kernel: [1521202.564895] usb 2-3: Manufacturer: 
ISDN USB TA
Jan 30 10:01:53 movi kernel: [1521202.564916] usb 2-3: SerialNumber: 
ISDN USB TA
Jan 30 10:01:53 movi kernel: [1521202.565083] usb 2-3: configuration #1 
chosen from 1 choice
Jan 30 10:01:53 movi kernel: [1521202.567857] hfcsusb_probe: 
interface(0) actalt(0) minor(-1) vend_idx(2)
Jan 30 10:01:53 movi kernel: [1521202.567893] HFC-S_USB: probe of 
2-3:1.0 failed with error -5
Jan 30 10:01:53 movi kernel: [1521202.567924] HFC-S USB: probing 
interface(0) actalt(0) minor(-1)
Jan 30 10:01:53 movi kernel: [1521202.567952] hfc_usb: probe of 2-3:1.0 
failed with error -5
Jan 30 10:01:53 movi kernel: [1521202.568037] hfcsusb_probe: 
interface(1) actalt(0) minor(-1) vend_idx(2)
Jan 30 10:01:53 movi kernel: [1521202.568075] HFC-S_USB: hfcsusb_probe: 
detected "Billion tiny USB ISDN TA 128" (4 Isochron IN + 3 Isochron OUT, 
if=1 alt=1)
Jan 30 10:01:53 movi kernel: [1521202.573992] HFC-S_USB: registered as 
'HFC-S_USB.1'
Jan 30 10:01:54 movi mtp-probe: checking bus 2, device 4: 
"/sys/devices/pci0000:00/0000:00:03.0/usb2/2-3"
Jan 30 10:01:54 movi mtp-probe: bus: 2, device: 4 was not an MTP device


Thannks  ...

Giorgio

-- 
*MoVI Regionale FVG
*Via Garibaldi 23, 33038-San Daniele del Friuli.
*Tel*. 0432 943002 - *Cell*. 346 8216304
*Email* giorgio.volpe@movi.fvg.it
[Message part 2 (text/html, inline)]

Severity set to 'grave' from 'important' Request was from Christoph Biedl <debian.axhn@manchmal.in-ulm.de> to control@bugs.debian.org. (Tue, 25 Dec 2012 11:15:08 GMT) Full text and rfc822 format available.

Changed Bug title to 'isdn device nodes are no longer created' from 'please readd MAKEDEV calls to init.d.functions' Request was from Christoph Biedl <debian.axhn@manchmal.in-ulm.de> to control@bugs.debian.org. (Tue, 25 Dec 2012 11:15:08 GMT) Full text and rfc822 format available.

Added tag(s) patch. Request was from Christoph Biedl <debian.axhn@manchmal.in-ulm.de> to control@bugs.debian.org. (Tue, 25 Dec 2012 11:15:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Rolf Leggewie <foss@rolf.leggewie.biz>:
Bug#609736; Package isdnutils-base. (Tue, 25 Dec 2012 11:24:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christoph Biedl <debian.axhn@manchmal.in-ulm.de>:
Extra info received and forwarded to list. Copy sent to Rolf Leggewie <foss@rolf.leggewie.biz>. (Tue, 25 Dec 2012 11:24:06 GMT) Full text and rfc822 format available.

Message #55 received at 609736@bugs.debian.org (full text, mbox):

From: Christoph Biedl <debian.axhn@manchmal.in-ulm.de>
To: 609736@bugs.debian.org
Cc: Sven Hartge <sven@svenhartge.de>, Giorgio Volpe <giorgio@movi.fvg.it>
Subject: Re: please readd MAKEDEV calls to init.d.functions
Date: Tue, 25 Dec 2012 12:12:13 +0100
[Message part 1 (text/plain, inline)]
severity 609736 grave
retitle 609736 isdn device nodes are no longer created
tags 609736 patch
thanks
justification 609736 Renders package unusable

Sven Hartge wrote ...   *wave*

> In upload 1:3.9.20060704+dfsg.2-8 you removed the MAKEDEV call from
> init.d.functions but this causes isdnlog and vboxgetty to fail for me,
> complaining about missing /dev/isdnctrl0 and /dev/ttyI1.
> 
> Unfortunately "modprobe hisax isdn" does _not_ create the necessary
> isdnctrl0 and ttyI* nodes in /dev so the MAKEDEV call is still necessary.
> (Very crude, I know, but it seems the kernel code does not create the
> needed events for udev.)

Part two of ISDN breakage after wheezy upgrade (part one was #696532).
Sorry this took a while, had to find hardware for a fresh install 
and using the stock Debian kernel first, just to make sure. No change
in the behaviour, though.

So: Unfortunately, the core issue of Sven's bug report remained
undealt with: The /dev/isdn* and /dev/ippp* nodes are not created any
longer, rendering the entire ISDN subsystem unusable, severity raised
accordingly.

The patch below restores the behaviour of squeeze with updates
regarding recognizing udev. That's not a nice one but it works.
Applies on the wheezy version of isdnutils (1:3.25+dfsg1-3wheezy1).

During the holidays I'll prepare an NMU for both issues, let me know 
soon if you plan to do an upload on your own. 

    Christoph

commit 963e0f2bf35d4843dfa8c634f6c5b2a99060d007
Author: Christoph Biedl <debian.axhn@manchmal.in-ulm.de>
Date:   Mon Dec 24 17:48:47 2012 +0100

    Re-add MAKEDEV calls to init.d.functions. Closes: #609736

diff --git a/debian/control b/debian/control
index 7b02d83..992d4f6 100644
--- a/debian/control
+++ b/debian/control
@@ -18,7 +18,7 @@ Package: isdnutils-base
 Priority: optional
 Architecture: linux-any
 Pre-Depends: debconf (>= 1.2.9) | debconf-2.0
-Depends: ${shlibs:Depends}, lsb-base (>= 1.3-9ubuntu3), ${misc:Depends}
+Depends: ${shlibs:Depends}, lsb-base (>= 1.3-9ubuntu3), makedev, ${misc:Depends}
 Suggests: ipppd, isdnlog, isdnutils-doc, isdnutils-xtools, isdnvboxserver, isdnvboxclient
 Description: ISDN utilities - minimal set
  This package provides the basic set of ISDN utilities needed to make use
diff --git a/debian/init.d.functions b/debian/init.d.functions
index 1979cab..00d50cb 100644
--- a/debian/init.d.functions
+++ b/debian/init.d.functions
@@ -80,15 +80,26 @@ check_isdncards() {
     if $isdncards_unchecked; then
 	isdncards_unchecked=false
 
-	# see discussion in bug 609736 regarding use of if and ln in the next three lines
-	if [ ! -e /dev/isdnctrl -a -e /dev/isdnctrl0 ]; then
-		ln -sf /dev/isdnctrl0 /dev/isdnctrl
-	fi
-
 	if [ -e /dev/isdninfo ]; then
 		ISDNINFO=/dev/isdninfo
 	elif [ -e /dev/isdn/isdninfo ]; then
 		ISDNINFO=/dev/isdn/isdninfo
+	elif [ -d /dev/.udev/ ] || [ -d /run/udev/ ] ; then
+		# udev is running
+		old_pwd=$(pwd)
+		cd /dev
+		WRITE_ON_UDEV=1 /sbin/MAKEDEV isdnmodem isdnbri dcbri isdn-io isdn-tty isdn-ippp
+		cd $old_pwd
+		if [ -e /dev/isdninfo ]; then
+			ISDNINFO=/dev/isdninfo
+		elif [ -e /dev/isdn/isdninfo ]; then
+			ISDNINFO=/dev/isdn/isdninfo
+		fi
+        fi
+
+	# see discussion in bug 609736 regarding use of if and ln in the next three lines
+	if [ ! -e /dev/isdnctrl -a -e /dev/isdnctrl0 ]; then
+		ln -sf /dev/isdnctrl0 /dev/isdnctrl
 	fi
 
         if [ -z "$ISDNINFO" ]; then
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Rolf Leggewie <foss@rolf.leggewie.biz>:
Bug#609736; Package isdnutils-base. (Tue, 25 Dec 2012 16:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christoph Biedl <debian.axhn@manchmal.in-ulm.de>:
Extra info received and forwarded to list. Copy sent to Rolf Leggewie <foss@rolf.leggewie.biz>. (Tue, 25 Dec 2012 16:39:03 GMT) Full text and rfc822 format available.

Message #60 received at 609736@bugs.debian.org (full text, mbox):

From: Christoph Biedl <debian.axhn@manchmal.in-ulm.de>
To: 609736@bugs.debian.org
Subject: Re: please readd MAKEDEV calls to init.d.functions
Date: Tue, 25 Dec 2012 17:36:55 +0100
Christoph Biedl wrote...

> During the holidays I'll prepare an NMU for both issues, let me know 
> soon if you plan to do an upload on your own. 

Um, hold it. In the meantime I also found an upgrade issue and
segmentation faults in isdnlog. But for now, some family issues
require for attention.

    Christoph



Information forwarded to debian-bugs-dist@lists.debian.org, Rolf Leggewie <foss@rolf.leggewie.biz>:
Bug#609736; Package isdnutils-base. (Tue, 25 Dec 2012 22:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Rolf Leggewie <debian-bugs@rolf.leggewie.biz>:
Extra info received and forwarded to list. Copy sent to Rolf Leggewie <foss@rolf.leggewie.biz>. (Tue, 25 Dec 2012 22:03:03 GMT) Full text and rfc822 format available.

Message #65 received at 609736@bugs.debian.org (full text, mbox):

From: Rolf Leggewie <debian-bugs@rolf.leggewie.biz>
To: 609736@bugs.debian.org
Cc: Christoph Biedl <debian.axhn@manchmal.in-ulm.de>
Subject: Not an isdnutils bug
Date: Tue, 25 Dec 2012 22:59:46 +0100
severity 609736 important
tags 609736 - patch
thanks

As I've written in this ticket before, this is not a bug in isdnutils. 
I'm afraid there is no good solution at the moment and I'm not aware of
anyone working on this in the kernel or udev.  For the time being the
administrator needs to make sure the devices are created.

I'm keeping this ticket open against isdnutils because without a doubt
it affects isdnutils.  But I repeat that the issue is not within
isdnutils itself.



Severity set to 'important' from 'grave' Request was from Rolf Leggewie <foss@rolf.leggewie.biz> to control@bugs.debian.org. (Tue, 25 Dec 2012 22:09:05 GMT) Full text and rfc822 format available.

Removed tag(s) patch. Request was from Rolf Leggewie <foss@rolf.leggewie.biz> to control@bugs.debian.org. (Tue, 25 Dec 2012 22:09:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Rolf Leggewie <foss@rolf.leggewie.biz>:
Bug#609736; Package isdnutils-base. (Tue, 25 Dec 2012 23:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Barth <aba@ayous.org>:
Extra info received and forwarded to list. Copy sent to Rolf Leggewie <foss@rolf.leggewie.biz>. (Tue, 25 Dec 2012 23:27:04 GMT) Full text and rfc822 format available.

Message #74 received at 609736@bugs.debian.org (full text, mbox):

From: Andreas Barth <aba@ayous.org>
To: Rolf Leggewie <debian-bugs@rolf.leggewie.biz>
Cc: 609736@bugs.debian.org, Christoph Biedl <debian.axhn@manchmal.in-ulm.de>
Subject: Re: Not an isdnutils bug
Date: Tue, 25 Dec 2012 23:38:59 +0100
* Rolf Leggewie (debian-bugs@rolf.leggewie.biz) [121225 22:00]:
> As I've written in this ticket before, this is not a bug in isdnutils. 
> I'm afraid there is no good solution at the moment and I'm not aware of
> anyone working on this in the kernel or udev.  For the time being the
> administrator needs to make sure the devices are created.

So, as far as I understand it, the issue is that the device nodes are
not created automatically, right?

If so, why would it be impossible to accept an patch for isdnutils
which would create the device nodes within the init-scripts (which is
an acceptable place to create them)? Christophs patch seems acceptable
to me on first glance.

I would consider it very unfortunate if an administrator would need to
create manually device nodes if something else is reasonably possible.


Andi



Information forwarded to debian-bugs-dist@lists.debian.org, Rolf Leggewie <foss@rolf.leggewie.biz>:
Bug#609736; Package isdnutils-base. (Wed, 26 Dec 2012 21:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christoph Biedl <debian.axhn@manchmal.in-ulm.de>:
Extra info received and forwarded to list. Copy sent to Rolf Leggewie <foss@rolf.leggewie.biz>. (Wed, 26 Dec 2012 21:57:03 GMT) Full text and rfc822 format available.

Message #79 received at 609736@bugs.debian.org (full text, mbox):

From: Christoph Biedl <debian.axhn@manchmal.in-ulm.de>
To: 609736@bugs.debian.org
Cc: Andreas Barth <aba@ayous.org>
Subject: Re: Not an isdnutils bug
Date: Wed, 26 Dec 2012 22:55:32 +0100
Rolf Leggewie wrote...

> As I've written in this ticket before, this is not a bug in isdnutils.
> I'm afraid there is no good solution at the moment and I'm not aware of
> anyone working on this in the kernel or udev.

While I support your idea I strongly disagree with your actions.
At the moment, the ISDN subsystem is broken on wheezy, so don't lower
the severity, re-assign instead to whoever you consider is to blame.

Or, besser be realistic: Given the set of packages of (kernel, udev,
isdnutils) that currently are candidates for the upcoming wheezy
release, none of them creates the devices nodes. No doubt kernel and,
through sysfs, udev are the better place for that job but this neither
is implemented yet nor will be until the release. Therefore having
isdnutils doing it is the last resort but the last one that is
feasible for wheezy.

Now if you reject, the ISDN subsystem is broken at least on all
installations that use udev or are newly installed. The logical
consequence then is to consider isdnutils unfit for release and remove
it from wheezy. I doubt that this is your intention.

> For the time being the
> administrator needs to make sure the devices are created.

So you want each isdnutils user to manually hack some mknod statements
into the bootup scripts as you consider it a bad idea providing that
as package maintainer? Seriously?

    Christoph



Information forwarded to debian-bugs-dist@lists.debian.org, Rolf Leggewie <foss@rolf.leggewie.biz>:
Bug#609736; Package isdnutils-base. (Wed, 09 Jan 2013 08:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Barth <aba@ayous.org>:
Extra info received and forwarded to list. Copy sent to Rolf Leggewie <foss@rolf.leggewie.biz>. (Wed, 09 Jan 2013 08:45:03 GMT) Full text and rfc822 format available.

Message #84 received at 609736@bugs.debian.org (full text, mbox):

From: Andreas Barth <aba@ayous.org>
To: Rolf Leggewie <debian-bugs@rolf.leggewie.biz>
Cc: Christoph Biedl <debian.axhn@manchmal.in-ulm.de>, 609736@bugs.debian.org
Subject: Re: Not an isdnutils bug
Date: Wed, 9 Jan 2013 09:40:57 +0100
Hi Rolf,

* Christoph Biedl (debian.axhn@manchmal.in-ulm.de) [121226 21:55]:
> Rolf Leggewie wrote...

> > As I've written in this ticket before, this is not a bug in isdnutils.
> > I'm afraid there is no good solution at the moment and I'm not aware of
> > anyone working on this in the kernel or udev.

> Now if you reject, the ISDN subsystem is broken at least on all
> installations that use udev or are newly installed. The logical
> consequence then is to consider isdnutils unfit for release and remove
> it from wheezy. I doubt that this is your intention.


> > For the time being the
> > administrator needs to make sure the devices are created.
> 
> So you want each isdnutils user to manually hack some mknod statements
> into the bootup scripts as you consider it a bad idea providing that
> as package maintainer? Seriously?



How should we continue from here?

Frankly speaking, though I agree the best solution would be to fix
kernel and udev, I don't believe this will happen during the freeze.
The second-best solution seems to fix isdnutils.

So, as you explicitly disagree with the fix, the options are:
1. You convince Christoph to have it not fixed (or at least, to not
care enough anymore to stick to this topic)
2. Christoph convinces you to have it fixed (if it would be ok for
you, I would be happy to upload the fix, and I hope I could convince
Christoph to take over ongoing responsibility for the patch)
3. The only other way allowed by the constitution if there is a
serious disagreement would be an escalation to the tech ctte. I would
hope this could be prevented however.


Which way do you think we should continue?



Andi



Information forwarded to debian-bugs-dist@lists.debian.org, Rolf Leggewie <foss@rolf.leggewie.biz>:
Bug#609736; Package isdnutils-base. (Wed, 09 Jan 2013 19:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sven Hartge <sven@svenhartge.de>:
Extra info received and forwarded to list. Copy sent to Rolf Leggewie <foss@rolf.leggewie.biz>. (Wed, 09 Jan 2013 19:09:03 GMT) Full text and rfc822 format available.

Message #89 received at 609736@bugs.debian.org (full text, mbox):

From: Sven Hartge <sven@svenhartge.de>
To: 609736@bugs.debian.org
Cc: debian.axhn@manchmal.in-ulm.de, Andreas Barth <aba@ayous.org>
Subject: Re: Bug#609736: please readd MAKEDEV calls to init.d.functions
Date: Wed, 9 Jan 2013 19:45:11 +0100 (CET)
Christoph Biedl wrote:
> Rolf Leggewie wrote...

>> For the time being the administrator needs to make sure the devices are 
>> created.

> So you want each isdnutils user to manually hack some mknod statements 
> into the bootup scripts as you consider it a bad idea providing that as 
> package maintainer? Seriously?

To add my 2¢:

As a long time Debian user (and admin of some 100 servers) I always liked
the "just works" way of usage of Debian packages. Install a deb, tweak the
configuration and be done with it.

I would be quite disappointed if I now have to add mknod statements to my
own init script or the isdnutils init script or rc.local. (It is besides
the point that I know how to do this. Some other user may lack the
knowledge how to correctly create init scripts.)

Of course, nowadays device nodes should be created by udev, acting upon
events from the kernel. And most drivers are able to generate these
events. But the old ISDN4Linux code has never been ported and probably
never will.

So far this statement from Karsten Keil from 2004 (!) still stands:

,----[ http://osdir.com/ml/linux.isdn.i4l.user/2004-05/msg00012.html
| > - what is the best way to get these device nodes?
|
| create it in the ISDN start script with mknod
`----

Insisting upon the standpoint "but the kernel/udev has to create the
device nodes" will not solve the problem for this release at this time in
the freeze process.

The Debian Policy states: 

,----
| 10.6 Device files
|
| [...]
|
| If a package needs any special device files that are not included in the
| base system, it must call MAKEDEV in the postinst script, after notifying
| the user (This notification could be done via a (low-priority) debconf message, or
| an echo (printf) statement.)
|
| [...]
`----

I fail to find any policy which forces the use of udev or similar
mechanisms.

Of course, having the kernel/udev create the device nodes is technically
correct but horribly broken in this special case.

I'd like a little bit ugly but working solution, please without the need
for the user/admin to manually hack the init scripts.

Grüße,
Sven.



Information forwarded to debian-bugs-dist@lists.debian.org, Rolf Leggewie <foss@rolf.leggewie.biz>:
Bug#609736; Package isdnutils-base. (Wed, 09 Jan 2013 19:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Barth <aba@ayous.org>:
Extra info received and forwarded to list. Copy sent to Rolf Leggewie <foss@rolf.leggewie.biz>. (Wed, 09 Jan 2013 19:54:03 GMT) Full text and rfc822 format available.

Message #94 received at 609736@bugs.debian.org (full text, mbox):

From: Andreas Barth <aba@ayous.org>
To: Sven Hartge <sven@svenhartge.de>
Cc: 609736@bugs.debian.org, debian.axhn@manchmal.in-ulm.de
Subject: Re: Bug#609736: please readd MAKEDEV calls to init.d.functions
Date: Wed, 9 Jan 2013 20:49:12 +0100
* Sven Hartge (sven@svenhartge.de) [130109 19:43]:
> I fail to find any policy which forces the use of udev or similar
> mechanisms.

udev isn't required. However, packages shouldn't break if udev is
installed (unless they conflict udev - which probably would zero the
installation base these days, but that's something else).



Andi



Information forwarded to debian-bugs-dist@lists.debian.org, Rolf Leggewie <foss@rolf.leggewie.biz>:
Bug#609736; Package isdnutils-base. (Fri, 11 Jan 2013 21:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Rolf Leggewie <debian-bugs@rolf.leggewie.biz>:
Extra info received and forwarded to list. Copy sent to Rolf Leggewie <foss@rolf.leggewie.biz>. (Fri, 11 Jan 2013 21:39:03 GMT) Full text and rfc822 format available.

Message #99 received at 609736@bugs.debian.org (full text, mbox):

From: Rolf Leggewie <debian-bugs@rolf.leggewie.biz>
To: 609736@bugs.debian.org
Subject: comment from isdnutils maintainer on the request for band-aid patches
Date: Sat, 12 Jan 2013 05:35:29 +0800
Hello everybody,

I understand the desire for a quick, convenient and seemingly painless
solution.  There have been several uploads and attempts in the past to
fix this in a sane way within isdnutils but ultimately we learned of the
futility of this and the decision was made that this needs to be fixed
elsewhere.  I believe if Debian has to choose between convenience and
doing things properly, the latter is strongly preferred.

The ticket isn't only open since yesterday, trying to base your case on
the imminent Wheezy release seems unjustified.  Almost exactly two years
ago on the exact DAY this ticket was opened I asked Sven to report the
issue in the proper place so there could be a fix, this hasn't
happened.   I'd have done this myself but I hope you respect that I had
a lot of issues on my "isdnutils plate" and device nodes in the kernel
isn't necessarily my forté.  My co-maintainer who is more skilled in
that area apparently didn't end up being successful with that kernel
work either.

I would be much more inclined towards reactivating a band-aid fix if I
had seen some work and progress on a proper solution.  None of the
proponents asking for a band-aid fix is stepping up to even reporting a
bug in the proper place, I'd humbly suggest to do that instead of
calling in tech-ctte.

When I took over isdnutils the package was probably the biggest mess
within Debian, and it was exactly because of all kinds of hacks like
this one, so it won't be coming back I guess unless I can see that the
band-aid will be only temporary.  Since this is not an isdnutils issue
it ultimately cannot be properly dealt with within isdnutils.  I am
truly sorry not being able to give you better news.

Regards

Rolf



Information forwarded to debian-bugs-dist@lists.debian.org, Rolf Leggewie <foss@rolf.leggewie.biz>:
Bug#609736; Package isdnutils-base. (Sat, 12 Jan 2013 09:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Barth <aba@ayous.org>:
Extra info received and forwarded to list. Copy sent to Rolf Leggewie <foss@rolf.leggewie.biz>. (Sat, 12 Jan 2013 09:48:03 GMT) Full text and rfc822 format available.

Message #104 received at 609736@bugs.debian.org (full text, mbox):

From: Andreas Barth <aba@ayous.org>
To: Rolf Leggewie <debian-bugs@rolf.leggewie.biz>
Cc: 609736@bugs.debian.org
Subject: Re: comment from isdnutils maintainer on the request for band-aid patches
Date: Sat, 12 Jan 2013 10:43:43 +0100
* Rolf Leggewie (debian-bugs@rolf.leggewie.biz) [130111 21:35]:
> I understand the desire for a quick, convenient and seemingly painless
> solution.  There have been several uploads and attempts in the past to
> fix this in a sane way within isdnutils but ultimately we learned of the
> futility of this and the decision was made that this needs to be fixed
> elsewhere.

Who is "we"?

There is currently a patch available that resolves this issue for the
users. I hadn't seen a single technical reason why it shouldn't be
applied.

Of course, a fix somewhere else would be nicer. But do you really
think it makes sense to punish our users instead of just getting this
resolved somehow? Yes, it might be nicer to get this done in kernel
and udev. But better a working fix in the not-nicest-place than no fix
at all.

The social contract says "Our priorities are our users and free
software". And if our users are our priority, it would be really
helpful to get an version of the software in the stable release which
works out of the box, as long as this doesn't have huge drawbacks.

In the interest of our users, I would really ask you to reconsider
your decision. 




Andi



Information forwarded to debian-bugs-dist@lists.debian.org, Rolf Leggewie <foss@rolf.leggewie.biz>:
Bug#609736; Package isdnutils-base. (Sat, 12 Jan 2013 12:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Rolf Leggewie <debian-bugs@rolf.leggewie.biz>:
Extra info received and forwarded to list. Copy sent to Rolf Leggewie <foss@rolf.leggewie.biz>. (Sat, 12 Jan 2013 12:09:03 GMT) Full text and rfc822 format available.

Message #109 received at 609736@bugs.debian.org (full text, mbox):

From: Rolf Leggewie <debian-bugs@rolf.leggewie.biz>
To: Andreas Barth <aba@ayous.org>, 609736@bugs.debian.org
Subject: Re: Bug#609736: comment from isdnutils maintainer on the request for band-aid patches
Date: Sat, 12 Jan 2013 20:04:32 +0800
On 12.01.2013 17:43, Andreas Barth wrote:
> Who is "we"?

The maintainer and co-maintainer.

> There is currently a patch available that resolves this issue for the
> users. I hadn't seen a single technical reason why it shouldn't be
> applied.

That's because you hadn't been looking, I must assume.  Or else you
would have seen that this is not really a patch but simply a reversal to
a state that was explicitly rejected two years ago.



Information forwarded to debian-bugs-dist@lists.debian.org, Rolf Leggewie <foss@rolf.leggewie.biz>:
Bug#609736; Package isdnutils-base. (Sat, 12 Jan 2013 12:48:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Barth <aba@ayous.org>:
Extra info received and forwarded to list. Copy sent to Rolf Leggewie <foss@rolf.leggewie.biz>. (Sat, 12 Jan 2013 12:48:06 GMT) Full text and rfc822 format available.

Message #114 received at 609736@bugs.debian.org (full text, mbox):

From: Andreas Barth <aba@ayous.org>
To: Rolf Leggewie <debian-bugs@rolf.leggewie.biz>
Cc: 609736@bugs.debian.org
Subject: Re: Bug#609736: comment from isdnutils maintainer on the request for band-aid patches
Date: Sat, 12 Jan 2013 13:44:34 +0100
* Rolf Leggewie (debian-bugs@rolf.leggewie.biz) [130112 13:03]:
> On 12.01.2013 17:43, Andreas Barth wrote:
> > Who is "we"?
> 
> The maintainer and co-maintainer.

How about trying to convince other people that this is the right
decision then? 


> > There is currently a patch available that resolves this issue for the
> > users. I hadn't seen a single technical reason why it shouldn't be
> > applied.
> 
> That's because you hadn't been looking, I must assume.

Please stop personal attacks.


>  Or else you
> would have seen that this is not really a patch but simply a reversal to
> a state that was explicitly rejected two years ago.

I already understood that you disapprove the behaviour that change
implies, so this is no new information. However, at least I didn't see
any reason why this behaviour is problematic and must not be used. (I
however see reasons why this isn't the most beautiful way possible,
but that's not the question here.)

To say it shortly: Please argue with technical facts and why a certain
decision helps our users and the free software community, not with
"the maintainer knows better" and "the maintainer has decided". I'm
impressed by facts not by foot-stamping.



Andi



Information forwarded to debian-bugs-dist@lists.debian.org, Rolf Leggewie <foss@rolf.leggewie.biz>:
Bug#609736; Package isdnutils-base. (Sat, 12 Jan 2013 23:30:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christoph Biedl <debian.axhn@manchmal.in-ulm.de>:
Extra info received and forwarded to list. Copy sent to Rolf Leggewie <foss@rolf.leggewie.biz>. (Sat, 12 Jan 2013 23:30:03 GMT) Full text and rfc822 format available.

Message #119 received at 609736@bugs.debian.org (full text, mbox):

From: Christoph Biedl <debian.axhn@manchmal.in-ulm.de>
To: Rolf Leggewie <debian-bugs@rolf.leggewie.biz>, 609736@bugs.debian.org
Cc: aba@ayous.org
Subject: Re: Bug#609736: comment from isdnutils maintainer on the request for band-aid patches
Date: Sun, 13 Jan 2013 00:27:31 +0100
[Message part 1 (text/plain, inline)]
Rolf Leggewie wrote...

> I understand the desire for a quick, convenient and seemingly painless
> solution.  There have been several uploads and attempts in the past to
> fix this in a sane way within isdnutils but ultimately we learned of the
> futility of this and the decision was made that this needs to be fixed
> elsewhere.

So explain that futlity. I still cannot see - but would like to 
learn - why the old approach became inacceptable. Became _that_
inacceptable you considered it a lesser evil to silently break
virtually(*) all installations using isdnlog and other packages out
there, and putting some weird work unto each user of that package.
Work that even isn't documented in NEWS.Debian.

An approach that at least served well for many years and still does. 

(*) I'll leave out "virtually" from now on as the remaining group,
    "comes from squeeze or older, does not use udev", should be
    neglectably small.

> I believe if Debian has to choose between convenience and
> doing things properly, the latter is strongly preferred.

The question here is rather deciding between breaking things and
keeping things working, even if it's not in the nicest way. And the
latter is the only acceptable.

Avoiding regressions is another thing of high importance. And if it's
inevitable, warn loudly and provide a transitions as painless as
possible.

> The ticket isn't only open since yesterday, trying to base your case on
> the imminent Wheezy release seems unjustified.

So, there was plenty of time to fix it.

And talking about myself, it _is_ justified. The boxes I run isdnlog
on are usually stable. Just due to other circumstances I upgraded one
of them even before the release, also resulting in the other bug
reports you have seen. I simply wasn't aware of the breakage any
earlier.

> Almost exactly two years
> ago on the exact DAY this ticket was opened I asked Sven to report the
> issue in the proper place so there could be a fix, this hasn't
> happened.

I don't get it. You (the isdnutils maintainers) deliberately broke the
package, by the way, also violated policy 10.6. Users send bug
reports since breakage may happen, but rather due to some errors or
unforseen side-effects. And now you expect them to do the work for
you.

> I'd have done this myself but I hope you respect that I had
> a lot of issues on my "isdnutils plate" and device nodes in the kernel
> isn't necessarily my forté.

Strongly disagree. You've broken the package. Fix it.

> My co-maintainer who is more skilled in
> that area apparently didn't end up being successful with that kernel
> work either.

For me, the obvious reaction then was to revert the breakage, wait
until all pre-requisites are met, wait a bit longer during a time of
transition so there's a fallback in case of a regression, then finally
get rid of the old code. I still fail to see why you started the other
way around.

> I would be much more inclined towards reactivating a band-aid fix if I
> had seen some work and progress on a proper solution.  None of the
> proponents asking for a band-aid fix is stepping up to even reporting a
> bug in the proper place, (...)

Because it's not their job.

It is an act of courtesy by bug reporters to ease a maintainer's life
by providing patches, forwarding reports, alerting third parties and
the like. They are well advised to do these things, according to their
skils since it's their own interest to have issues resolved soon, or
provide other affected users a workaround for the time being. But
there is no obligation.

> (...)  I'd humbly suggest to do that instead of
> calling in tech-ctte.

This didn't happen though, and now the package ist borken.

Just to repeat: You have broken the package. You refused to fix. You
denied patches to fix it. You've lowered the severity that marked the
package unfit for release. Now, tech-ctte is the only remaining move
to avoid breaking isdnutils installations in stable wheezy, annoying
users out there for a reason I still do not see explained.

> When I took over isdnutils the package was probably the biggest mess
> within Debian, and it was exactly because of all kinds of hacks like
> this one, so it won't be coming back I guess unless I can see that the
> band-aid will be only temporary.

No doubt, packaging and code still need a lot of attention, while just
a few hours of work could improve things a lot. So I was tempted to
react on #661110 and offer my help. But given this dispute I think
this might look a bit odd, wouldn't you agree?

    Christoph
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Rolf Leggewie <foss@rolf.leggewie.biz>:
Bug#609736; Package isdnutils-base. (Sun, 20 Jan 2013 12:57:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christoph Biedl <debian.axhn@manchmal.in-ulm.de>:
Extra info received and forwarded to list. Copy sent to Rolf Leggewie <foss@rolf.leggewie.biz>. (Sun, 20 Jan 2013 12:57:06 GMT) Full text and rfc822 format available.

Message #124 received at 609736@bugs.debian.org (full text, mbox):

From: Christoph Biedl <debian.axhn@manchmal.in-ulm.de>
To: 609736@bugs.debian.org, control@bugs.debian.org
Subject: Please override isdnutils maintainer's decision to not fix the broken isdnutils package in wheezy
Date: Sun, 20 Jan 2013 13:55:39 +0100
[Message part 1 (text/plain, inline)]
clone 609736 -1
reassign -1 tech-ctte
retitle -1 Please override isdnutils maintainer's decision to not fix the broken isdnutils package in wheezy
thanks

Hi,

I hereby ask the technical committee to overrule the decision of the
maintainer of isdnutils re applying the patch in #609736, and to
authorize me to upload the patch below via (sponsored)
non-maintainer upload. This patch is based on the one at
<http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=609736#55>.

Currently, isdnlog doesn't work out of the box anymore, as the device
nodes are no longer created, neither (for static /dev) in postinst nor
(for udev) in an init script helper. Be reminded the underlying i4l
kernel modules lack sysfs support so udev cannot create the device
files. The code for device node creation in several postinst files and
the "init.d.functions" init script helper was intentionally removed by
the maintainer in 1:3.9.20060704+dfsg.2-8, and without providing an
appropriate replacement.

Other binary packages built by src:isdnutils are also affected for the
same reason. This is a regression compared to the current stable
release. See the bug mentioned above for details and a longish
discussion.

The patch below, based on the wheezy (and sid) version of isdnutils
1:3.25+dfsg1-3wheezy1, restores the old behaviour so the device nodes
are created as needed, in the spirit of Policy 10.6. However, the
maintainer refuses to apply the patch, see multiple mails from him in
the bug report. He would prefer patches to kernel and udev to get this
done; until then he proposes that users add their own init scripts to
create the device nodes.

Though having device nodes created via kernel and udev would be
nice, I don't think we do our users a service by not applying a
workaround till then. As I assume any patches against the kernel
wouldn't get through in time for the stable release, the approach of
overriding the maintainer's decision seems the only option to me for
wheezy. For jessie, there is enough time to get things handled in the
kernel.


Additionally, my main concern is to have a usable isdnutils package
in wheezy. As the release is rather close, I am asking you to decide
this question with some urgency.

Regards,

    Christoph


PS: In case you want to test things on real hardware: You might see
segmentation faults or glibc backtraces from isdnlog. They have been
fixed in the experimental version 1:3.25+dfsg1-6, see #696830 for
details.


commit a5555b4162fd333cac4f208a787efc5b2edb978d
Author: Christoph Biedl <debian.axhn@manchmal.in-ulm.de>
Date:   Fri Jan 18 23:58:06 2013 +0100

    Re-add calls to MAKEDEV to *.postinst and init.d.functions. Closes: #609736
    
    The usage of MAKEDEV was removed although the sysfs function calls
    that trigger udev to create the device files instead do not exist in
    the underlying kernel modules yet. Therefore, the special device files
    are missing, violating words and spirit of policy 10.6. This rendered
    at least isdnlog, ipppd, and isdnvboxserver unusable as they rely on
    these devices files. The capiutils package might or might not have
    been affected.
    
    This patch restores the old behaviour known to work up to and
    including squeeze. Basically it reverts commit 2fbdbd3 of the
    isdnutils Debian package git[0] where necessary, does some minor
    corrections, and adds required dependencies on makedev.
    
    Some remarks:
    
    * init.d.functions
    
    The MAKEDEV parameters isdn-io, isdn-tty, and isdn-ippp were not
    restored as they are already covered by isdnmodem and isdnbri, at
    least in the squeeze and wheezy version of MAKEDEV.
    
    The patch aims to be clear, therefore also the references to devfs are
    restored although horribly outdated.
    
    * isdnutils-base.postinst
    
    There was no need to resurrect isdnutils-base.postinst. The postinst
    created automatically by debhelper calls isdnutils.init which creates
    the device nodes anyway via init.d.functions.
    
    * ipppd.postinst
    
    Since the ipppd.postinst file had been removed later entirely, it is
    resurrected here.
    
    The old check for /dev/isdn-tty is considered bogus or legacy, MAKEDEV
    does not create such a device. So MAKEDEV was always called but
    created the device files only if udev was not running. Probably the
    device files always already existed from an earlier isdnutils-base
    configuration so this never caused harm. This applies to
    isdnvboxserver.postinst, too.
    
    The MAKEDEV invocation was enhanced by the 'WRITE_ON_UDEV=1' setting
    that enforces device file creation even if udev is running. The
    ipppd.postinst script needs the devices files later. On systems
    running udev these device files are re-created at boot time by
    isdnutils-base.init which ipppd depends on.
    
    * capiutils
    
    Also the capituils.postinst file had been removed later and is
    resurrected here. Actually, it's very likely not necessary to revert
    that removal.
    
    At first, "MAKEDEV capi" creates /dev/capi20. But capiutils.init also
    creates it if missing, that mknod call had not been removed in the
    commit mentioned above.
    
    To add more confusion, capi _does_ have sysfs support but udev creates
    a different device file /dev/capi, with the same numbers and
    permissions.
    
    However, "MAKEDEV capi" also creates /dev/capi20.$I where $I is in
    `seq -w 0 19`. This creation only happened if udev was not running, so
    virtually never. Appearently no one missed these files but this patch
    creates them anyway just in case anybody out there running a static
    /dev needs them.
    
    [0] git://git.debian.org/git/collab-maint/isdnutils.git
        The commit is also available via gitweb:
        http://anonscm.debian.org/gitweb/?p=collab-maint/isdnutils.git;a=commitdiff;h=2fbdbd318252b7b703fa63a79e3d08035f65b319

diff --git a/debian/capiutils.postinst b/debian/capiutils.postinst
new file mode 100644
index 0000000..e5ff124
--- /dev/null
+++ b/debian/capiutils.postinst
@@ -0,0 +1,26 @@
+#! /bin/sh
+# postinst script for capiutils
+
+set -e
+
+case "$1" in
+    configure)
+        if [ ! -c /dev/capi ] ; then
+            if [ ! -d /dev/.udev/ ] && [ ! -d /run/udev/ ] ; then
+                cd /dev
+                echo "Note: running MAKEDEV to create CAPI devices in /dev..."
+                /sbin/MAKEDEV capi
+            fi
+        fi
+        ;;
+
+    abort-upgrade|abort-remove|abort-deconfigure)
+        ;;
+    *)
+        echo "postinst called with unknown argument \`$1'" >&2
+        exit 0
+    ;;
+esac
+
+#DEBHELPER#
+exit 0
diff --git a/debian/control b/debian/control
index 7b02d83..e478469 100644
--- a/debian/control
+++ b/debian/control
@@ -18,7 +18,7 @@ Package: isdnutils-base
 Priority: optional
 Architecture: linux-any
 Pre-Depends: debconf (>= 1.2.9) | debconf-2.0
-Depends: ${shlibs:Depends}, lsb-base (>= 1.3-9ubuntu3), ${misc:Depends}
+Depends: ${shlibs:Depends}, lsb-base (>= 1.3-9ubuntu3), makedev, ${misc:Depends}
 Suggests: ipppd, isdnlog, isdnutils-doc, isdnutils-xtools, isdnvboxserver, isdnvboxclient
 Description: ISDN utilities - minimal set
  This package provides the basic set of ISDN utilities needed to make use
@@ -117,7 +117,7 @@ Description: ISDN utilities - answering machine server
 Package: capiutils
 Architecture: linux-any
 Depends: libcapi20-3 (= ${binary:Version}), ${shlibs:Depends},
- lsb-base (>= 1.3-9ubuntu3), ${misc:Depends}
+ lsb-base (>= 1.3-9ubuntu3), makedev, ${misc:Depends}
 Section: net
 Description: ISDN utilities - tools for CAPI-capable cards
  Some ISDN cards (notably the AVM active cards, and the AVM passive cards
diff --git a/debian/init.d.functions b/debian/init.d.functions
index 1979cab..ced3500 100644
--- a/debian/init.d.functions
+++ b/debian/init.d.functions
@@ -80,15 +80,26 @@ check_isdncards() {
     if $isdncards_unchecked; then
 	isdncards_unchecked=false
 
-	# see discussion in bug 609736 regarding use of if and ln in the next three lines
-	if [ ! -e /dev/isdnctrl -a -e /dev/isdnctrl0 ]; then
-		ln -sf /dev/isdnctrl0 /dev/isdnctrl
-	fi
-
 	if [ -e /dev/isdninfo ]; then
 		ISDNINFO=/dev/isdninfo
 	elif [ -e /dev/isdn/isdninfo ]; then
 		ISDNINFO=/dev/isdn/isdninfo
+	elif [ -d /dev/.udev/ ] || [ -d /run/udev/ ] ; then
+		# udev is running
+		old_pwd="$(pwd)"
+		cd /dev
+		WRITE_ON_UDEV=1 /sbin/MAKEDEV isdnmodem isdnbri dcbri
+		cd "$old_pwd"
+		if [ -e /dev/isdninfo ]; then
+			ISDNINFO=/dev/isdninfo
+		elif [ -e /dev/isdn/isdninfo ]; then
+			ISDNINFO=/dev/isdn/isdninfo
+		fi
+        fi
+
+	# see discussion in bug 609736 regarding use of if and ln in the next three lines
+	if [ ! -e /dev/isdnctrl -a -e /dev/isdnctrl0 ]; then
+		ln -sf /dev/isdnctrl0 /dev/isdnctrl
 	fi
 
         if [ -z "$ISDNINFO" ]; then
@@ -266,6 +277,15 @@ start_devices() {
 	    extraopts='master'
 	fi
 	for device in $master $slaves; do
+            # if the device doesn't exist in /dev nor in /dev/isdn,
+            # then this is (obviously?) not a devfs system, thus
+            # the device needs to be created.
+            if [ ! -c /dev/$device -a ! -c /dev/isdn/$device ]; then
+		cd /dev
+		/bin/echo -e " (creating /dev/$device)\c"
+		WRITE_ON_UDEV=1 /sbin/MAKEDEV $device || true
+		cd /etc/isdn
+	    fi
 	    if [ `expr "$extraopts" : 'slave'` -eq 5 ]; then
 		device=${master}+${device##????}
 		# slaves can't be added if the master interface
diff --git a/debian/ipppd.postinst b/debian/ipppd.postinst
index 8a6ca81..ccf442d 100644
--- a/debian/ipppd.postinst
+++ b/debian/ipppd.postinst
@@ -19,6 +19,18 @@ trap 'rm -f "$tempfile"' EXIT
 
 case "$1" in
     configure)
+	old_pwd="$(pwd)"
+	if [ ! -c /dev/ttyI0 ]; then
+		cd /dev
+		echo "Note: running MAKEDEV to create ISDN devices in /dev..."
+		WRITE_ON_UDEV=1 /sbin/MAKEDEV isdn-tty isdn-io isdn-ippp
+	fi
+	# FIXME BUG! MAKEDEV should create the link by itself
+	if [ ! -d /dev/.udev/ ] && [ ! -d /run/udev ] ; then
+	    rm -f isdnctrl
+	    ln -s isdnctrl0 isdnctrl
+	fi
+	cd "$old_pwd"
         forcerestart=false
         RET=ippp0
         db_get ipppd/whichif || true
diff --git a/debian/isdnvboxserver.postinst b/debian/isdnvboxserver.postinst
index 81d2207..a15d2bd 100644
--- a/debian/isdnvboxserver.postinst
+++ b/debian/isdnvboxserver.postinst
@@ -13,6 +13,12 @@ DEVDIR=/dev
 if [ ! -c $DEVDIR/ttyI6 ]; then
     if grep 'type devfs' /proc/mounts >/dev/null; then
         DEVDIR=/dev/isdn
+    else
+        if [ ! -c /dev/ttyI6 ]; then
+            cd /dev
+            echo "Note: running MAKEDEV to create ISDN tty devices in /dev..."
+            WRITE_ON_UDEV=1 /sbin/MAKEDEV isdn-tty
+        fi
     fi
 fi
 
[signature.asc (application/pgp-signature, inline)]

Bug 609736 cloned as bug 698556 Request was from Christoph Biedl <debian.axhn@manchmal.in-ulm.de> to control@bugs.debian.org. (Sun, 20 Jan 2013 12:57:09 GMT) Full text and rfc822 format available.

Bug reassigned from package 'isdnutils-base' to 'tech-ctte'. Request was from Christoph Biedl <debian.axhn@manchmal.in-ulm.de> to control@bugs.debian.org. (Sun, 20 Jan 2013 12:57:10 GMT) Full text and rfc822 format available.

No longer marked as found in versions isdnutils/1:3.9.20060704+dfsg.2-8. Request was from Christoph Biedl <debian.axhn@manchmal.in-ulm.de> to control@bugs.debian.org. (Sun, 20 Jan 2013 12:57:10 GMT) Full text and rfc822 format available.

Changed Bug title to 'Please override isdnutils maintainer's decision to not fix the broken isdnutils package in wheezy' from 'isdn device nodes are no longer created' Request was from Christoph Biedl <debian.axhn@manchmal.in-ulm.de> to control@bugs.debian.org. (Sun, 20 Jan 2013 12:57:11 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#698556; Package tech-ctte. (Tue, 22 Jan 2013 19:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Barth <aba@ayous.org>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. (Tue, 22 Jan 2013 19:03:03 GMT) Full text and rfc822 format available.

Message #137 received at 698556@bugs.debian.org (full text, mbox):

From: Andreas Barth <aba@ayous.org>
To: 698556@bugs.debian.org
Cc: Christoph Biedl <debian.axhn@manchmal.in-ulm.de>, foss@rolf.leggewie.biz
Subject: Re: Processed: Please override isdnutils maintainer's decision to not fix the broken isdnutils package in wheezy
Date: Tue, 22 Jan 2013 19:19:51 +0100
Hi,

* Debian Bug Tracking System (owner@bugs.debian.org) [130120 13:55]:
> > clone 609736 -1
> Bug #609736 [isdnutils-base] isdn device nodes are no longer created
> Bug 609736 cloned as bug 698556


I already discussed about this topic on the original bug report.
Summarizing:

1. I think packages should work out of the box as far as reasonable
sensible.

2. In this case, isdnlog (amongst other tools) needs device nodes.
There was a script as part of the package that would create those
nodes, and which was removed by the maintainer.

3. The maintainer proposes that users add their own startup scripts to
add device nodes, until some solution via udev and the kernel is in
place (which currently doesn't work because the isdn subsystem is not
supported by sysfs/udev yet, and which is not to be expected for the
next stable release due to the ongoing freeze).

4. While I see reasons to consider the udev solution nicer if it would
be available, I fail to see a reason why it would be better to have
users creating their own startup scripts then to include sensible
defaults in ours.

Now, all of the above was part of "what I would consider as sensible".
This is not necessarily the same as "how would I vote as tech ctte
member" - this needs more thought.

However, as the release is getting nearer and a ready patch is
available, I think we should try to get to a decision rather soon.



Regards,
Andi



Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#698556; Package tech-ctte. (Wed, 06 Feb 2013 00:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Don Armstrong <don@debian.org>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. (Wed, 06 Feb 2013 00:03:03 GMT) Full text and rfc822 format available.

Message #142 received at 698556@bugs.debian.org (full text, mbox):

From: Don Armstrong <don@debian.org>
To: 698556@bugs.debian.org
Cc: Christoph Biedl <debian.axhn@manchmal.in-ulm.de>, foss@rolf.leggewie.biz
Subject: Re: Bug#698556: Processed: Please override isdnutils maintainer's decision to not fix the broken isdnutils package in wheezy
Date: Tue, 5 Feb 2013 16:02:19 -0800
On Tue, 22 Jan 2013, Andreas Barth wrote:
> 4. While I see reasons to consider the udev solution nicer if it
> would be available, I fail to see a reason why it would be better to
> have users creating their own startup scripts then to include
> sensible defaults in ours.

What is the reason for not including these scripts in the package by
default and removing them/disabling them when the necessary udev
improvements have been made?

From reading the bug report and a brief discussion on IRC, this is the
major issue which is unclear to me.

Finally, do we have a tested patch available to re-enable the
necessary scripts?
 

Don Armstrong

-- 
Something the junk advertisers don't seem to understand: we live in an
information super-saturated world. If I don't want to buy something,
no amount of shouting or propagandizing will budge me; all it will do
is get me annoyed. On the other hand, if I have a need for your
product, I can seek it out in an eyeblink.
 -- Charles Stross "Toast: A Con Report" in _Toast_ p136

http://www.donarmstrong.com              http://rzlab.ucr.edu



Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#698556; Package tech-ctte. (Mon, 18 Feb 2013 07:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christoph Biedl <debian.axhn@manchmal.in-ulm.de>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. (Mon, 18 Feb 2013 07:54:03 GMT) Full text and rfc822 format available.

Message #147 received at 698556@bugs.debian.org (full text, mbox):

From: Christoph Biedl <debian.axhn@manchmal.in-ulm.de>
To: 698556@bugs.debian.org
Subject: Re: Bug#698556: Processed: Please override isdnutils maintainer's decision to not fix the broken isdnutils package in wheezy
Date: Mon, 18 Feb 2013 08:41:29 +0100
Don Armstrong wrote...

> Finally, do we have a tested patch available to re-enable the
> necessary scripts?

Rest assured I did very extensive testing before the submission of my
patch, and also spent a lot of time on a careful analysis of the
present code, resulting in the longish description of the patch.

These tests included three different (passive) ISDN cards. Additional
hardware arrived to check capi applications.

So, I'm fairly confident my proposed upload does the right things. And
no doubt is better than the current state.

    Christoph



Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#698556; Package tech-ctte. (Mon, 18 Feb 2013 14:48:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Neil McGovern <neilm@debian.org>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. (Mon, 18 Feb 2013 14:48:08 GMT) Full text and rfc822 format available.

Message #152 received at 698556@bugs.debian.org (full text, mbox):

From: Neil McGovern <neilm@debian.org>
To: Sven Hartge <sven@svenhartge.de>, 609736@bugs.debian.org, 698556@bugs.debian.org
Cc: debian.axhn@manchmal.in-ulm.de, Andreas Barth <aba@ayous.org>
Subject: Re: Bug#609736: please readd MAKEDEV calls to init.d.functions
Date: Mon, 18 Feb 2013 14:46:06 +0000
[Message part 1 (text/plain, inline)]
Control: severity 609736 serious

On Wed, Jan 09, 2013 at 07:45:11PM +0100, Sven Hartge wrote:
> I would be quite disappointed if I now have to add mknod statements to my
> own init script or the isdnutils init script or rc.local. (It is besides
> the point that I know how to do this. Some other user may lack the
> knowledge how to correctly create init scripts.)
> 

For clarity - considering this used to work without having the above, I
consider this to be a release critical issue for Wheezy. Thus, it needs
fixing somehow or isdnutils will be removed from the release.

Neil McGovern
Release Manager
-- 
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#698556; Package tech-ctte. (Mon, 18 Feb 2013 18:06:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bdale Garbee <bdale@gag.com>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. (Mon, 18 Feb 2013 18:06:05 GMT) Full text and rfc822 format available.

Message #157 received at 698556@bugs.debian.org (full text, mbox):

From: Bdale Garbee <bdale@gag.com>
To: Don Armstrong <don@debian.org>, 698556@bugs.debian.org
Cc: Christoph Biedl <debian.axhn@manchmal.in-ulm.de>, foss@rolf.leggewie.biz
Subject: Re: Bug#698556: Processed: Please override isdnutils maintainer's decision to not fix the broken isdnutils package in wheezy
Date: Mon, 18 Feb 2013 11:03:29 -0700
[Message part 1 (text/plain, inline)]
Don Armstrong <don@debian.org> writes:

> On Tue, 22 Jan 2013, Andreas Barth wrote:
>> 4. While I see reasons to consider the udev solution nicer if it
>> would be available, I fail to see a reason why it would be better to
>> have users creating their own startup scripts then to include
>> sensible defaults in ours.
>
> What is the reason for not including these scripts in the package by
> default and removing them/disabling them when the necessary udev
> improvements have been made?

I would like an answer to this, too.

The "right answer" long term is clearly for the kernel/udev to create
the right devices, but until that time comes it seems obvious to me that
the isdnutils maintainer scripts should do what is needed.

Bdale
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#698556; Package tech-ctte. (Mon, 18 Feb 2013 19:45:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Don Armstrong <don@debian.org>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. (Mon, 18 Feb 2013 19:45:06 GMT) Full text and rfc822 format available.

Message #162 received at 698556@bugs.debian.org (full text, mbox):

From: Don Armstrong <don@debian.org>
To: Christoph Biedl <debian.axhn@manchmal.in-ulm.de>, 698556@bugs.debian.org
Subject: Re: Bug#698556: Processed: Please override isdnutils maintainer's decision to not fix the broken isdnutils package in wheezy
Date: Mon, 18 Feb 2013 11:40:44 -0800
On Mon, 18 Feb 2013, Christoph Biedl wrote:
> Don Armstrong wrote...
> 
> > Finally, do we have a tested patch available to re-enable the
> > necessary scripts?
> 
> Rest assured I did very extensive testing before the submission of my
> patch, and also spent a lot of time on a careful analysis of the
> present code, resulting in the longish description of the patch.

Is that this patch?

http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=698556#124
 

Don Armstrong

-- 
I learned really early the difference between knowing the name of
something and knowing something
 -- Richard Feynman "What is Science" Phys. Teach. 7(6) 1969

http://www.donarmstrong.com              http://rzlab.ucr.edu



Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#698556; Package tech-ctte. (Mon, 18 Feb 2013 19:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christoph Biedl <debian.axhn@manchmal.in-ulm.de>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. (Mon, 18 Feb 2013 19:51:03 GMT) Full text and rfc822 format available.

Message #167 received at 698556@bugs.debian.org (full text, mbox):

From: Christoph Biedl <debian.axhn@manchmal.in-ulm.de>
To: Don Armstrong <don@debian.org>, 698556@bugs.debian.org
Subject: Re: Bug#698556: Processed: Please override isdnutils maintainer's decision to not fix the broken isdnutils package in wheezy
Date: Mon, 18 Feb 2013 20:49:22 +0100
Don Armstrong wrote...

> On Mon, 18 Feb 2013, Christoph Biedl wrote:

> > Rest assured I did very extensive testing before the submission of my
> > patch, and also spent a lot of time on a careful analysis of the
> > present code, resulting in the longish description of the patch.
> 
> Is that this patch?
> 
> http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=698556#124

Yes. Sorry, I thought this was obvious.

    Christoph



Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#698556; Package tech-ctte. (Mon, 18 Feb 2013 21:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bdale Garbee <bdale@gag.com>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. (Mon, 18 Feb 2013 21:48:03 GMT) Full text and rfc822 format available.

Message #172 received at 698556@bugs.debian.org (full text, mbox):

From: Bdale Garbee <bdale@gag.com>
To: Christoph Biedl <debian.axhn@manchmal.in-ulm.de>, 698556@bugs.debian.org, Don Armstrong <don@debian.org>, 698556@bugs.debian.org
Subject: Re: Bug#698556: Processed: Please override isdnutils maintainer's decision to not fix the broken isdnutils package in wheezy
Date: Mon, 18 Feb 2013 14:44:11 -0700
[Message part 1 (text/plain, inline)]
Christoph Biedl <debian.axhn@manchmal.in-ulm.de> writes:

> Don Armstrong wrote...
>
>> On Mon, 18 Feb 2013, Christoph Biedl wrote:
>
>> > Rest assured I did very extensive testing before the submission of my
>> > patch, and also spent a lot of time on a careful analysis of the
>> > present code, resulting in the longish description of the patch.
>> 
>> Is that this patch?
>> 
>> http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=698556#124
>
> Yes. Sorry, I thought this was obvious.

Adding a dependency on makedev will work, but since the makedev package
is long orphaned and there's rarely any reason to have it installed any
more, I personally wonder if it wouldn't be better to just add
appropriate mknod calls directly?

Bdale
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#698556; Package tech-ctte. (Wed, 20 Feb 2013 23:27:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christoph Biedl <debian.axhn@manchmal.in-ulm.de>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. (Wed, 20 Feb 2013 23:27:10 GMT) Full text and rfc822 format available.

Message #177 received at 698556@bugs.debian.org (full text, mbox):

From: Christoph Biedl <debian.axhn@manchmal.in-ulm.de>
To: Bdale Garbee <bdale@gag.com>, 698556@bugs.debian.org
Subject: Re: Please override isdnutils maintainer's decision to not fix the broken isdnutils package in wheezy
Date: Thu, 21 Feb 2013 00:24:06 +0100
Bdale Garbee wrote...

> Adding a dependency on makedev will work, but since the makedev package
> is long orphaned and there's rarely any reason to have it installed any
> more, I personally wonder if it wouldn't be better to just add
> appropriate mknod calls directly?

With all respect, I disagree.

* This is an NMU, it should be kept as short as possible but already
  is way too huge.
* This is a hack, aimed for wheezy only. For jessie there's enough
  time to come up with better solutions for the entire problem.
* To avoid makedev, I'd just copy the relevant mknod lines to the
  isdnutils package. Honestly, I cannot see the advantages of such
  code duplication.

If you still think makedev should be avoided, I'll happily provide an
updated patch.

Aside, policy 10.6 refers to MAKEDEV which is provided by makedev on
static /dev, not to mknod. But that's not a point, the current wording
of 10.6 is mostly historic and therefore more what you'd call
"guidelines" than actual rules. And there's already a better places
to discuss this.

    Christoph



Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#698556; Package tech-ctte. (Thu, 21 Feb 2013 06:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bdale Garbee <bdale@gag.com>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. (Thu, 21 Feb 2013 06:09:03 GMT) Full text and rfc822 format available.

Message #182 received at 698556@bugs.debian.org (full text, mbox):

From: Bdale Garbee <bdale@gag.com>
To: Christoph Biedl <debian.axhn@manchmal.in-ulm.de>, 698556@bugs.debian.org, 698556@bugs.debian.org
Subject: Re: Bug#698556: Please override isdnutils maintainer's decision to not fix the broken isdnutils package in wheezy
Date: Wed, 20 Feb 2013 23:06:40 -0700
[Message part 1 (text/plain, inline)]
Christoph Biedl <debian.axhn@manchmal.in-ulm.de> writes:

>> Adding a dependency on makedev will work, but since the makedev package
>> is long orphaned and there's rarely any reason to have it installed any
>> more, I personally wonder if it wouldn't be better to just add
>> appropriate mknod calls directly?
>
> With all respect, I disagree.
>
> * This is an NMU, it should be kept as short as possible but already
>   is way too huge.

Good point.  Take my advice as being a post-wheezy suggestion,
until/unless the kernel and udev get the device entries for ISDN right.

> Aside, policy 10.6 refers to MAKEDEV which is provided by makedev on
> static /dev, not to mknod. But that's not a point, the current wording
> of 10.6 is mostly historic and therefore more what you'd call
> "guidelines" than actual rules. And there's already a better places
> to discuss this.

Yes.  Policy clearly needs to be updated in this area.  

Bdale
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#698556; Package tech-ctte. (Thu, 21 Feb 2013 07:57:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Barth <aba@ayous.org>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. (Thu, 21 Feb 2013 07:57:03 GMT) Full text and rfc822 format available.

Message #187 received at 698556@bugs.debian.org (full text, mbox):

From: Andreas Barth <aba@ayous.org>
To: Bdale Garbee <bdale@gag.com>, 698556@bugs.debian.org
Cc: Christoph Biedl <debian.axhn@manchmal.in-ulm.de>
Subject: Re: Bug#698556: Please override isdnutils maintainer's decision to not fix the broken isdnutils package in wheezy
Date: Thu, 21 Feb 2013 08:28:35 +0100
* Bdale Garbee (bdale@gag.com) [130221 07:07]:
> Christoph Biedl <debian.axhn@manchmal.in-ulm.de> writes:
> 
> >> Adding a dependency on makedev will work, but since the makedev package
> >> is long orphaned and there's rarely any reason to have it installed any
> >> more, I personally wonder if it wouldn't be better to just add
> >> appropriate mknod calls directly?
> >
> > With all respect, I disagree.
> >
> > * This is an NMU, it should be kept as short as possible but already
> >   is way too huge.
> 
> Good point.  Take my advice as being a post-wheezy suggestion,
> until/unless the kernel and udev get the device entries for ISDN right.

Ok. That sounds as we seem to have consensus now about what should
happen for wheezy? (At least from all people who have responded
recently)

I'd really like to see an answer from the maintainer on this issue -
however, I don't think we should wait forever for this (and frankly
speaking, IMHO we're waiting long enough already). 

So, I think we could start voting on this now-ish.



Andi



Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#698556; Package tech-ctte. (Sun, 24 Feb 2013 17:45:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Barth <aba@ayous.org>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. (Sun, 24 Feb 2013 17:45:04 GMT) Full text and rfc822 format available.

Message #192 received at 698556@bugs.debian.org (full text, mbox):

From: Andreas Barth <aba@ayous.org>
To: 698556@bugs.debian.org
Cc: Christoph Biedl <debian.axhn@manchmal.in-ulm.de>
Subject: Re: Bug#698556: Please override isdnutils maintainer's decision to not fix the broken isdnutils package in wheezy
Date: Sun, 24 Feb 2013 18:40:17 +0100
* Andreas Barth (aba@ayous.org) [130221 08:55]:
> * Bdale Garbee (bdale@gag.com) [130221 07:07]:
> > Good point.  Take my advice as being a post-wheezy suggestion,
> > until/unless the kernel and udev get the device entries for ISDN right.
> 
> Ok. That sounds as we seem to have consensus now about what should
> happen for wheezy? (At least from all people who have responded
> recently)
> 
> I'd really like to see an answer from the maintainer on this issue -
> however, I don't think we should wait forever for this (and frankly
> speaking, IMHO we're waiting long enough already). 
> 
> So, I think we could start voting on this now-ish.

Drafting a resolution on this:

Whereas

1. The technical committee was asked to overrule the decision of the
isdnutils maintainer to remove the creation of devices (see #698556).

2. There is a tested patch ready to use available.

3. The bug in question is considered release critical by the release
team.

4. In spite of being asked, the maintainer didn't comment on this
request.

5. Considering the current time plan, we don't expect to have other
ways to create devices nodes (i.e. via kernel changes and udev) in
time for the next stable release.


The Technical Committee

1. Decides to overrule the decision of the maintainer of isdnutils to
remove the creation of device nodes

2. Authorizes Christoph Biedl to undo the change with an upload to
unstable earliest an week after the decision, unless the maintainer
uploads an revert faster.

3. Asks the release team to allow the fixed package to move to
testing for the next stable release.



(With the obvious alternative resolution "further discussion" as
always)



Comments?


Andi



Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#698556; Package tech-ctte. (Sun, 24 Feb 2013 18:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Russ Allbery <rra@debian.org>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. (Sun, 24 Feb 2013 18:21:04 GMT) Full text and rfc822 format available.

Message #197 received at 698556@bugs.debian.org (full text, mbox):

From: Russ Allbery <rra@debian.org>
To: Andreas Barth <aba@ayous.org>
Cc: 698556@bugs.debian.org, Christoph Biedl <debian.axhn@manchmal.in-ulm.de>
Subject: Re: Bug#698556: Please override isdnutils maintainer's decision to not fix the broken isdnutils package in wheezy
Date: Sun, 24 Feb 2013 10:16:56 -0800
Andreas Barth <aba@ayous.org> writes:

> Drafting a resolution on this:

[...]

> Comments?

Yup, looks right to me.

-- 
Russ Allbery (rra@debian.org)               <http://www.eyrie.org/~eagle/>



Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#698556; Package tech-ctte. (Sun, 24 Feb 2013 18:27:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Don Armstrong <don@debian.org>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. (Sun, 24 Feb 2013 18:27:08 GMT) Full text and rfc822 format available.

Message #202 received at 698556@bugs.debian.org (full text, mbox):

From: Don Armstrong <don@debian.org>
To: 698556@bugs.debian.org
Subject: Re: Bug#698556: Please override isdnutils maintainer's decision to not fix the broken isdnutils package in wheezy
Date: Sun, 24 Feb 2013 10:23:51 -0800
On Sun, 24 Feb 2013, Russ Allbery wrote:
> Andreas Barth <aba@ayous.org> writes:
> > Comments?
> 
> Yup, looks right to me.

Yeah, I don't see a problem on this either.


Don Armstrong

-- 
Democracy means simply the bludgeoning of the people by the people for
the people.
 -- Oscar Wilde

http://www.donarmstrong.com              http://rzlab.ucr.edu



Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#698556; Package tech-ctte. (Sun, 24 Feb 2013 20:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Barth <aba@ayous.org>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. (Sun, 24 Feb 2013 20:15:03 GMT) Full text and rfc822 format available.

Message #207 received at 698556@bugs.debian.org (full text, mbox):

From: Andreas Barth <aba@ayous.org>
To: 698556@bugs.debian.org
Subject: Re: Bug#698556: Please override isdnutils maintainer's decision to not fix the broken isdnutils package in wheezy
Date: Sun, 24 Feb 2013 21:10:31 +0100
* Don Armstrong (don@debian.org) [130224 19:25]:
> On Sun, 24 Feb 2013, Russ Allbery wrote:
> > Andreas Barth <aba@ayous.org> writes:
> > > Comments?
> > 
> > Yup, looks right to me.
> 
> Yeah, I don't see a problem on this either.

ok. I plan to call for vote than on Tuesday (morning or evening UTC),
if nobody complains.


Andi



Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#698556; Package tech-ctte. (Wed, 27 Feb 2013 07:06:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Barth <aba@ayous.org>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. (Wed, 27 Feb 2013 07:06:04 GMT) Full text and rfc822 format available.

Message #212 received at 698556@bugs.debian.org (full text, mbox):

From: Andreas Barth <aba@ayous.org>
To: debian-ctte@lists.debian.org
Subject: Re: Bug#698556: Please override isdnutils maintainer's decision to not fix the broken isdnutils package in wheezy
Date: Wed, 27 Feb 2013 08:01:28 +0100
Hi,

* Andreas Barth (aba@ayous.org) [130224 18:43]:
> Whereas
> 
> 1. The technical committee was asked to overrule the decision of the
> isdnutils maintainer to remove the creation of devices (see #698556).
> 
> 2. There is a tested patch ready to use available.
> 
> 3. The bug in question is considered release critical by the release
> team.
> 
> 4. In spite of being asked, the maintainer didn't comment on this
> request.
> 
> 5. Considering the current time plan, we don't expect to have other
> ways to create devices nodes (i.e. via kernel changes and udev) in
> time for the next stable release.
> 
> 
> The Technical Committee
> 
> 1. Decides to overrule the decision of the maintainer of isdnutils to
> remove the creation of device nodes
> 
> 2. Authorizes Christoph Biedl to undo the change with an upload to
> unstable earliest an week after the decision, unless the maintainer
> uploads an revert faster.
> 
> 3. Asks the release team to allow the fixed package to move to
> testing for the next stable release.

Calling for Votes on this resolution (as A) and the default resolution
(further discussion as F).


Andi



Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#698556; Package tech-ctte. (Wed, 27 Feb 2013 07:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Barth <aba@ayous.org>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. (Wed, 27 Feb 2013 07:09:03 GMT) Full text and rfc822 format available.

Message #217 received at 698556@bugs.debian.org (full text, mbox):

From: Andreas Barth <aba@ayous.org>
To: 698556@bugs.debian.org
Subject: Re: Bug#698556: Please override isdnutils maintainer's decision to not fix the broken isdnutils package in wheezy
Date: Wed, 27 Feb 2013 08:04:13 +0100
* Andreas Barth (aba@ayous.org) [130227 08:01]:
> * Andreas Barth (aba@ayous.org) [130224 18:43]:
> > Whereas
> > 
> > 1. The technical committee was asked to overrule the decision of the
> > isdnutils maintainer to remove the creation of devices (see #698556).
> > 
> > 2. There is a tested patch ready to use available.
> > 
> > 3. The bug in question is considered release critical by the release
> > team.
> > 
> > 4. In spite of being asked, the maintainer didn't comment on this
> > request.
> > 
> > 5. Considering the current time plan, we don't expect to have other
> > ways to create devices nodes (i.e. via kernel changes and udev) in
> > time for the next stable release.
> > 
> > 
> > The Technical Committee
> > 
> > 1. Decides to overrule the decision of the maintainer of isdnutils to
> > remove the creation of device nodes
> > 
> > 2. Authorizes Christoph Biedl to undo the change with an upload to
> > unstable earliest an week after the decision, unless the maintainer
> > uploads an revert faster.
> > 
> > 3. Asks the release team to allow the fixed package to move to
> > testing for the next stable release.
> 
> Calling for Votes on this resolution (as A) and the default resolution
> (further discussion as F).

I vote AF.


Andi



Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#698556; Package tech-ctte. (Wed, 27 Feb 2013 17:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Don Armstrong <don@debian.org>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. (Wed, 27 Feb 2013 17:00:03 GMT) Full text and rfc822 format available.

Message #222 received at 698556@bugs.debian.org (full text, mbox):

From: Don Armstrong <don@debian.org>
To: 698556@bugs.debian.org
Subject: Re: Bug#698556: Please override isdnutils maintainer's decision to not fix the broken isdnutils package in wheezy
Date: Wed, 27 Feb 2013 08:56:49 -0800
On Wed, 27 Feb 2013, Andreas Barth wrote:
> * Andreas Barth (aba@ayous.org) [130224 18:43]:

[...]

> Calling for Votes on this resolution (as A) and the default resolution
> (further discussion as F).

I vote AF.


Don Armstrong

-- 
"You have many years to live--do things you will be proud to remember
when you are old."
 -- Shinka proverb. (John Brunner _Stand On Zanzibar_ p413)

http://www.donarmstrong.com              http://rzlab.ucr.edu



Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#698556; Package tech-ctte. (Wed, 06 Mar 2013 20:39:07 GMT) Full text and rfc822 format available.

Message #225 received at 698556@bugs.debian.org (full text, mbox):

From: Russ Allbery <rra@debian.org>
To: debian-ctte@lists.debian.org
Subject: Re: Bug#698556: Please override isdnutils maintainer's decision to not fix the broken isdnutils package in wheezy
Date: Tue, 26 Feb 2013 23:56:25 -0800
[Message part 1 (text/plain, inline)]
Andreas Barth <aba@ayous.org> writes:
> * Andreas Barth (aba@ayous.org) [130224 18:43]:

>> Whereas
>> 
>> 1. The technical committee was asked to overrule the decision of the
>> isdnutils maintainer to remove the creation of devices (see #698556).
>> 
>> 2. There is a tested patch ready to use available.
>> 
>> 3. The bug in question is considered release critical by the release
>> team.
>> 
>> 4. In spite of being asked, the maintainer didn't comment on this
>> request.
>> 
>> 5. Considering the current time plan, we don't expect to have other
>> ways to create devices nodes (i.e. via kernel changes and udev) in
>> time for the next stable release.
>> 
>> 
>> The Technical Committee
>> 
>> 1. Decides to overrule the decision of the maintainer of isdnutils to
>> remove the creation of device nodes
>> 
>> 2. Authorizes Christoph Biedl to undo the change with an upload to
>> unstable earliest an week after the decision, unless the maintainer
>> uploads an revert faster.
>> 
>> 3. Asks the release team to allow the fixed package to move to
>> testing for the next stable release.

> Calling for Votes on this resolution (as A) and the default resolution
> (further discussion as F).

I vote A F.

-- 
Russ Allbery (rra@debian.org)               <http://www.eyrie.org/~eagle/>
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#698556; Package tech-ctte. (Wed, 06 Mar 2013 20:39:09 GMT) Full text and rfc822 format available.

Message #228 received at 698556@bugs.debian.org (full text, mbox):

From: Ian Jackson <ijackson@chiark.greenend.org.uk>
To: Andreas Barth <aba@ayous.org>
Cc: debian-ctte@lists.debian.org
Subject: Re: Bug#698556: Please override isdnutils maintainer's decision to not fix the broken isdnutils package in wheezy
Date: Wed, 27 Feb 2013 13:20:29 +0000
Andreas Barth writes ("Re: Bug#698556: Please override isdnutils maintainer's decision to not fix the broken isdnutils package in wheezy"):
> Calling for Votes on this resolution (as A) and the default resolution
> (further discussion as F).

I vote
 A F

Ian.


-- 
To UNSUBSCRIBE, email to debian-ctte-REQUEST@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org
Archive: http://lists.debian.org/20782.2077.574495.436230@chiark.greenend.org.uk





Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#698556; Package tech-ctte. (Wed, 06 Mar 2013 20:39:11 GMT) Full text and rfc822 format available.

Message #231 received at 698556@bugs.debian.org (full text, mbox):

From: Bdale Garbee <bdale@gag.com>
To: Andreas Barth <aba@ayous.org>, debian-ctte@lists.debian.org
Subject: Re: Bug#698556: Please override isdnutils maintainer's decision to not fix the broken isdnutils package in wheezy
Date: Wed, 27 Feb 2013 22:02:50 -0700
[Message part 1 (text/plain, inline)]
Andreas Barth <aba@ayous.org> writes:

> Calling for Votes on this resolution (as A) and the default resolution
> (further discussion as F).

I vote A F.

Bdale
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#698556; Package tech-ctte. (Wed, 06 Mar 2013 20:42:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Barth <aba@ayous.org>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. (Wed, 06 Mar 2013 20:42:05 GMT) Full text and rfc822 format available.

Message #236 received at 698556@bugs.debian.org (full text, mbox):

From: Andreas Barth <aba@ayous.org>
To: 698556@bugs.debian.org
Cc: Christoph Biedl <debian.axhn@manchmal.in-ulm.de>, foss@rolf.leggewie.biz
Subject: Re: Bug#698556: Please override isdnutils maintainer's decision to not fix the broken isdnutils package in wheezy
Date: Wed, 6 Mar 2013 21:37:08 +0100
* Andreas Barth (aba@ayous.org) [130227 08:01]:
> * Andreas Barth (aba@ayous.org) [130224 18:43]:
> > Whereas
> > 
> > 1. The technical committee was asked to overrule the decision of the
> > isdnutils maintainer to remove the creation of devices (see #698556).
> > 
> > 2. There is a tested patch ready to use available.
> > 
> > 3. The bug in question is considered release critical by the release
> > team.
> > 
> > 4. In spite of being asked, the maintainer didn't comment on this
> > request.
> > 
> > 5. Considering the current time plan, we don't expect to have other
> > ways to create devices nodes (i.e. via kernel changes and udev) in
> > time for the next stable release.
> > 
> > 
> > The Technical Committee
> > 
> > 1. Decides to overrule the decision of the maintainer of isdnutils to
> > remove the creation of device nodes
> > 
> > 2. Authorizes Christoph Biedl to undo the change with an upload to
> > unstable earliest an week after the decision, unless the maintainer
> > uploads an revert faster.
> > 
> > 3. Asks the release team to allow the fixed package to move to
> > testing for the next stable release.
> 
> Calling for Votes on this resolution (as A) and the default resolution
> (further discussion as F).

As the voting periode is over now, with 5 votes for AF, and rest
abstain, this resolution has passed sucessfully. (I also bounced the
votes to the bug report, as most had been sent only to the list; but
even the two to the bug report would have been sufficient.)


Andi



Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#698556; Package tech-ctte. (Thu, 07 Mar 2013 18:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christoph Biedl <debian.axhn@manchmal.in-ulm.de>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. (Thu, 07 Mar 2013 18:39:03 GMT) Full text and rfc822 format available.

Message #241 received at 698556@bugs.debian.org (full text, mbox):

From: Christoph Biedl <debian.axhn@manchmal.in-ulm.de>
To: 698556@bugs.debian.org
Subject: Re: Bug#698556: Please override isdnutils maintainer's decision to not fix the broken isdnutils package in wheezy
Date: Thu, 7 Mar 2013 19:36:18 +0100
Andreas Barth wrote...

> As the voting periode is over now, with 5 votes for AF, and rest
> abstain, this resolution has passed sucessfully.

Thanks for that clear vote. And for taking the time to look into that
matter.

Upload, asking for freeze exception etc. will follow as granted by
that decision, unless the maintainer takes action beforehand of
course.

    Christoph




Reply sent to Don Armstrong <don@debian.org>:
You have taken responsibility. (Thu, 30 May 2013 18:00:04 GMT) Full text and rfc822 format available.

Notification sent to Sven Hartge <sven@svenhartge.de>:
Bug acknowledged by developer. (Thu, 30 May 2013 18:00:05 GMT) Full text and rfc822 format available.

Message #246 received at 698556-done@bugs.debian.org (full text, mbox):

From: Don Armstrong <don@debian.org>
To: 698556-done@bugs.debian.org
Subject: resolved by resolution
Date: Thu, 30 May 2013 10:57:00 -0700
This issue has been resolved.

-- 
Don Armstrong                      http://www.donarmstrong.com

"Them as can do has to do for them as can't. And someone has to speak
up for them as have no voices."
 -- Grandma Aching in _The Wee Free Men_ by Terry Pratchett p227



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 28 Jun 2013 07:36:27 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 23:57:11 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.